%define name glipper
%define version 1.0
%define release %mkrel 11

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Clipboard manager for GNOME

Group:          Graphical desktop/GNOME
License:        GPL+
URL:            http://glipper.sourceforge.net/
Source0:        %name-%version.tar.bz2
Patch0:		glipper-1.0-link.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  perl(XML::Parser)
BuildRequires:  pkgconfig
BuildRequires:  gnome-doc-utils
BuildRequires:  glib2-devel
BuildRequires:  libgnome2-devel
BuildRequires:  libglade2.0-devel
BuildRequires:	imagemagick
BuildRequires:	gnome-python >= 2.10
BuildRequires:	gnome-python-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	gnome-python-gconf
BuildRequires:	gnome-python-gnomevfs
BuildRequires:	gnome-python-applet
Requires:	gnome-python
Requires:	gnome-python-gconf
Requires:	gnome-python-gnomevfs
Requires:	gnome-python-applet

%description
Glipper is a clipboard manager for GNOME. It maintains a history 
of text copied to the clipboard from which you can choose. You 
can see this as a GNOME counterpart to KDE's Klipper.

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
# Don't break pkg-config with an invalid file
echo "Name: %name" >> data/glipper.pc
echo "Version: %version" >> data/glipper.pc
echo "Description: Clipboard manager for GNOME" >> data/glipper.pc

%build
%configure2_5x --disable-schemas-install
%make 

%install
rm -rf %buildroot
%makeinstall_std
%find_lang %{name}

%post
%update_icon_cache hicolor
%{post_install_gconf_schemas glipper}

%preun
%{preun_uninstall_gconf_schemas glipper}

%postun
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{py_sitedir}/%{name}
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_libdir}/bonobo/servers/*
%{_libdir}/pkgconfig/*.pc
%dir %_datadir/gnome/help/%{name}
%lang(fr) %_datadir/gnome/help/%{name}/fr/glipper.xml
%lang(de) %_datadir/gnome/help/%{name}/de/glipper.xml
%lang(it) %_datadir/gnome/help/%{name}/it/glipper.xml
%_datadir/gnome/help/%{name}/C/%{name}.xml
%_iconsdir/hicolor/*/apps/*


%changelog
* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 1.0-11mdv2011.0
+ Revision: 677705
- rebuild to add gconftool as req

* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 1.0-10mdv2011.0
+ Revision: 593884
- add patch
- add more requires

* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 1.0-9mdv2011.0
+ Revision: 593872
- rebuild for py2.

* Sun Sep 20 2009 Pascal Terjan <pterjan@mandriva.org> 1.0-8mdv2010.0
+ Revision: 444795
- Don't break pkg-config with an invalid file

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Dec 31 2008 Adam Williamson <awilliamson@mandriva.org> 1.0-6mdv2009.1
+ Revision: 321593
- small cleanups
- add python requires, rebuild for python 2.6

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.0-5mdv2009.0
+ Revision: 246190
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0-3mdv2008.1
+ Revision: 171869
- BuildRequires:  gnome-python-devel
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix spacing at top of description
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Oct 11 2007 Funda Wang <fwang@mandriva.org> 1.0-2mdv2008.1
+ Revision: 96962
- fix preun script

* Wed Aug 08 2007 Funda Wang <fwang@mandriva.org> 1.0-1mdv2008.0
+ Revision: 60307
- Disable schema install
- put correct python sitedir
- Finally fix the file list :(
- fix file list
- BR gnome-python-applet
- BR pygtk2.0-devel
- New version 1.0

* Mon Apr 30 2007 Adam Williamson <awilliamson@mandriva.org> 0.95.1-2mdv2008.0
+ Revision: 19688
- grah, package .glade file
- whoops, don't package non-existent TODO file
- clean and reorder spec
- no need to BuildRequires GTK (implied by others)
- add Source1 (larger version of icon), generate MDV and fd.o icon sets
- package language-specific help files properly
- update icon cache and menus in post and postun


* Fri Jan 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.95.1-1mdv2007.0
+ Revision: 110574
- Import glipper

